<template>
  <div id="app" v-if="bool">
    <!-- <router-view v-if="isRouterAlive" :key="$route.fullPath"/> -->
    <!-- <keep-alive>
      <router-view v-if="$route.meta.keepAlive"></router-view>
    </keep-alive>
    <router-view v-if="!$route.meta.keepAlive"></router-view> -->
    
    <keep-alive include="launch,menu,view-delegate,view-listview" v-if="$route.meta.keepAlive">
      <router-view v-wechat-title="$root.name" v-if="isRouterAlive" :key="$route.fullPath"/>
    </keep-alive>
    <div v-if="!$route.meta.keepAlive" style="height:100%;">
      <router-view v-wechat-title="$root.name" v-if="isRouterAlive"></router-view>
    </div>

     <!-- 底部start -->
      <div class="Footerheight"  v-if="menuTab"></div>
      <div class="tabMenuApp"  v-if="menuTab">
        <span v-for="(item,index) in tabNav" @click="tabNavClick(item,index)" :key="index" :class="currIndex == index ? 'active':''">{{item.title}}</span>      
      </div>   
    <!-- 底部end -->

  </div>
</template>
<script>
import API from "@/api.js";
import { Indicator } from "mint-ui";

export default {


  name:'app',
  provide(){
    return{
      reload:this.reload

    }
  },
  beforeCreate () {

    API.getMenus(this.$root.appid, {
    onSucess: (response, bool=false) => {
      this.bool=!bool

      if (bool) {
        Indicator.open({
          text: "加载中...",
          spinnerType: "fading-circle"
        });
      }

    }
  });
  },
  computed:{
      key(){
        return this.$route.name?this.$route.name+new Date():this.$route+ new Date();
      }
  },
  data(){
    return{
      isRouterAlive:true,
      menuTab:true,
      currIndex: 0,
      active: 0,
      tabNav:[
        {
         name: "menu",
         title: "首页"
        },
        {
          name: "board",
          title: "看板"
        }       
      ],      
      bool:false,
    }
  },
  mounted(){  
      if(this.$route.path=="/"){ 
        this.menuTab=true
        this.active=0
        this.currIndex=0
      }   
      else if(this.$route.path=="/menu"){
        this.menuTab=true
        this.active=0
        this.currIndex=0
      }
      else if(this.$route.path=="/board"){
        this.menuTab=true
        this.active=1
        this.currIndex=1 
      }else{
        this.menuTab=false
      }
  },
  watch:{
    $route(to){
      if(to.path =='/'){
        this.menuTab=true
        this.active=0
        this.currIndex=0
      }
      else if(to.path =='/menu'){
        this.menuTab=true
        this.active=0
        this.currIndex=0
      }else if(to.path =='/board'){
        this.menuTab=true
        this.active=1
        this.currIndex=1      
      }else{
        this.menuTab=false
      }
    }
  },  
  methods:{
    reload(){
      this.isRouterAlive = false;
      this.$nextTick(function(){
        this.isRouterAlive = true;
      })
    },
    tabNavClick(item,index){
      this.currIndex = index;
      this.$router.push(item.name)
    }
  }
}
</script>

<style lang="scss">
//修改组件默认样式
.cell-header .mint-cell-wrapper .mint-cell-value{
  font-size: 12px;
}
.flow-operate{
  .mint-button {
    label{
      line-height: 33px;
    }
  }
}
.mintui-more:before{
  content:"" !important;
  display:inline-block;
  width:14px;
  height: 16px;
  background: url("assets/images/screen.png") no-repeat ;
  background-size: cover;
}
#app{
  padding-bottom: 30px;
}
.Footerheight{
  display: block;
  width: 100%;
  height: 45px;  
}
.tabMenuApp{
  z-index: 100000;
  display: flex;
  width: 100%;
  height: 45px;
  line-height: 45px;
  background: #fff;
  position: fixed;
  bottom: 0;
  border-top:1px solid #eee;
  justify-content: center;
  justify-items: center;
  span{
    flex:1;
    color:#000;
    font-size: 14px;
    text-align: center;
    border-right:2px solid #F2F2F2;
    &.active{
      background: #26a2ff;
      color: #fff;
    }
  }
}
</style>
